## etckeeper 0.11~bpo40+1

=== Makefile ===
# You should configure etckeeper.conf for your distribution before
# installing etckeeper.
CONFFILE=etckeeper.conf
include $(CONFFILE)

DESTDIR?=
prefix=/usr
bindir=${prefix}/bin
etcdir=/etc
mandir=${prefix}/share/man

INSTALL=install 
INSTALL_EXE=${INSTALL} -D
INSTALL_DATA=${INSTALL} -m 0644 -D

install:
	mkdir -p $(DESTDIR)$(etcdir)/etckeeper/
	cp -a *.d $(DESTDIR)$(etcdir)/etckeeper/
	$(INSTALL_DATA) $(CONFFILE) $(DESTDIR)$(etcdir)/etckeeper/etckeeper.conf
	$(INSTALL_EXE) etckeeper $(DESTDIR)$(bindir)/etckeeper
	$(INSTALL_DATA) etckeeper.1 $(DESTDIR)$(mandir)/man1/etckeeper.1
	$(INSTALL_DATA) bash_completion $(DESTDIR)$(etcdir)/bash_completion.d/etckeeper
ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),apt)
	$(INSTALL_DATA) apt.conf $(DESTDIR)$(etcdir)/apt/apt.conf.d/05etckeeper
endif
ifeq ($(LOWLEVEL_PACKAGE_MANAGER),pacman-g2)
	$(INSTALL_DATA) pacman-g2.hook $(DESTDIR)$(etcdir)/pacman-g2/hooks/etckeeper
endif

=== debian/changelog ===
etckeeper (0.11~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 16 Mar 2008 15:15:12 +0100

etckeeper (0.11) unstable; urgency=low

  * Add lvm cache dir to default ignores. (#462355)
  * Updated German translation. Closes: #463153
  * Some initial rpm support. Patch from Евгений Терешков.
  * Add apt hooks for rpm based systems.
  * Add nologin to default ignores.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Feb 2008 00:43:19 -0500

etckeeper (0.10) unstable; urgency=low

  * Convert the directory parameter of etckeeper into "-d directory".
  * Pass other patameters on from etckeeper to the .d scripts.
  * Stop using run-parts for various reasons.
  * Split out a commit.d that contains committing code that's used by
    both the pre-install.d and post-install.d scripts.
  * Split out an unclean.d that tests if the WC contains uncommitted
    changes.
  * Don't commit in post-install.d if there are no uncommitted changes.
  * German debconf translation. Closes: #460940, #458751
  * Use git status instead of git-status (missed this one before).

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Jan 2008 14:35:29 -0500

etckeeper (0.9) unstable; urgency=low

  * Separate debconf use from the main flow of the script so the commit
    stage can use editors etc. Closes: #459547
  * Remove the hint about setting -e to get interactive commits, since
    I don't want to encourage users to do that. (For one thing, it's unlikely
    to work if a graphical package manager is used..)

 -- Joey Hess <joeyh@debian.org>  Mon, 07 Jan 2008 13:46:22 -0500

etckeeper (0.8) unstable; urgency=low

  * Typo fixes from Miklos Vajna
  * Add backwards compatability code to handle post-apt action. Closes: #459441

 -- Joey Hess <joeyh@debian.org>  Sun, 06 Jan 2008 12:54:51 -0500

etckeeper (0.7) unstable; urgency=low

  [ Joey Hess ]
  * Added configuration options for highlevel and lowlevel package managers
    in etckeeper.conf.
  * Only install apt hooks if apt is used.
  * Only add backup conffile exclusion to gitignore if dpkg is used.
  * Rename pre/post-apt.d to pre/post-install.d to allow the same directories
    to be used for other package managers.
  * Use the name of the highlevel package manager in commit messages.
  * Add gnarly conffile renaming code.
  * Support mercurial as an alternative to git. Original patch by Mathieu
    Clabaut, significantly changed.

  [ Miklos Vajna ]
  * Add support for frugalware's pacman-g2 package manager.
  * Stop using git-foo commands.

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-english
    team as part of the Smith review project. Closes: #454774
  * [Debconf translation updates]
  * Galician. Closes: #455790
  * Finnish. Closes: #455967
  * Italian. Closes: #456509
  * Portuguese. Closes: #456543
  * French. Closes: #456920
  * Vietnamese. Closes: #457307
  * Czech. Closes: #457678
  * Dutch. Closes: #457806
  * Basque. Closes: #457830
  * Russian. Closes: #457871

  [ Joey Hess ]
  * Commit removed files in the pre-install hook to git, as was already done
    for hg. Avoided changing the debconf template so bubulle doesn't murder
    me; the current wording is just vague enough to still work with the
    current behavior.

 -- Joey Hess <joeyh@debian.org>  Fri, 04 Jan 2008 18:46:49 -0500

etckeeper (0.6) unstable; urgency=low

  * Depend on a fairly recent git-core. Closes: #453063

 -- Joey Hess <joeyh@debian.org>  Sun, 02 Dec 2007 15:46:12 -0500

etckeeper (0.5) unstable; urgency=low

  * Typo. Closes: #452926

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Nov 2007 03:16:14 -0500

etckeeper (0.4) unstable; urgency=low

  * Portuguese translation from Américo Monteiro. Closes: #451798
  * Pass --quiet to git-rm calls.

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Nov 2007 01:04:32 -0500

etckeeper (0.3) unstable; urgency=low

  * Patch from Remi Vanicat adding an etckeeper.conf file and
    a GIT_COMMIT_OPTIONS configuration setting. Closes: #451167
  * Add network/run and adjtime to default gitignore. Closes: #451347
  * Patch from Rémi Vanicat adding bash completion. Closes: #451302
  * Remove redundant dependency on debconf. Closes: #451378

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Nov 2007 12:21:02 -0500

etckeeper (0.2) unstable; urgency=low

  * Add .pwd.lock to default ignores, this file is created by programs
    that call getspent().
  * Add tests for /etc/.git not yet existing and avoid doing bad things.
    Closes: #451185
  * If /etc/.git doesn't exist, display a suggestion to run etckeeper-init.

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Nov 2007 19:09:11 -0500

etckeeper (0.1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@debian.org>  Sun, 11 Nov 2007 01:11:21 -0500

=== debian/control ===
Source: etckeeper
Section: admin
Priority: optional
Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.9.0)
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.3
Vcs-Git: git://git.kitenet.net/etckeeper
Homepage: http://kitenet.net/~joey/code/etckeeper/

Package: etckeeper
Architecture: all
Section: admin
Depends: metastore, git-core (>= 1:1.5.3.4) | mercurial, ${misc:Depends}
Description: store /etc in git or mercurial
 The etckeeper program is a tool to let /etc be stored in a git or mercurial
 repository. It hooks into APT to automatically commit changes made to /etc
 during package upgrades. It uses 'metastore' to track file metadata that
 version control systems do not normally support, but that is important for
 /etc, such as the permissions of /etc/shadow. It's quite modular and
 configurable, while also being simple to use if you understand the basics of
 working with version control.

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

binary-arch: build

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) install DESTDIR=debian/etckeeper
	dh_installdocs README TODO
	dh_installexamples
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdebconf
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/etckeeper/news

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## etckeeper 0.14ubuntu2

=== Makefile ===
--- 
+++ 
@@ -8,13 +8,14 @@
 bindir=${prefix}/bin
 etcdir=/etc
 mandir=${prefix}/share/man
+vardir=/var
 
 INSTALL=install 
 INSTALL_EXE=${INSTALL} -D
 INSTALL_DATA=${INSTALL} -m 0644 -D
 
 install:
-	mkdir -p $(DESTDIR)$(etcdir)/etckeeper/
+	mkdir -p $(DESTDIR)$(etcdir)/etckeeper/ $(DESTDIR)$(vardir)/cache/etckeeper/
 	cp -a *.d $(DESTDIR)$(etcdir)/etckeeper/
 	$(INSTALL_DATA) $(CONFFILE) $(DESTDIR)$(etcdir)/etckeeper/etckeeper.conf
 	$(INSTALL_EXE) etckeeper $(DESTDIR)$(bindir)/etckeeper

=== debian/changelog ===
etckeeper (0.14ubuntu2) hardy; urgency=low

  * Cherry-pick fix from 0.14.2:
    Handle nonzero exit status when building package list diff.

 -- Daniel Hahler <ubuntu@thequod.de>  Tue, 22 Apr 2008 14:56:24 +0200

etckeeper (0.14ubuntu1) hardy; urgency=low

  * Merge from Debian, Freeze Exception in LP: #189293
    All Ubuntu changes will be in the next Debian release.

  [ Daniel Hahler ]
  * bzr: Set nickname for tree in init.d/40vcs-init.
  * Add script to add new files during "commit" for bzr (commit.d/30bzr-add).
  * Fix handling of files with spaces, by setting IFS to "newline" in
    commit.d/40git-rm.
  * Fix typo in commit.d/45bzr-precommit (Debian bug #473069)
  * debian/preinst: Remove /etc/etckeeper/commit.d/40bzr-rm conffile
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

  [ Jelmer Vernooij ]
  * Remove pointless commit.d/40bzr-rm script.

 -- Daniel Hahler <ubuntu@thequod.de>  Wed, 09 Apr 2008 22:04:22 +0200

etckeeper (0.14) unstable; urgency=low

  * When deleting the .metadata, only $VCS rm it if using git. hg write
    locks the repo when the pre-commit hook is running, so it would lock.

 -- Joey Hess <joeyh@debian.org>  Sat, 29 Mar 2008 13:43:20 -0400

etckeeper (0.13) unstable; urgency=low

  * Drop the debconf prompt before committing in pre-install.
    Closes: #470577, #462161, #471157, #462161
  * Stop using metastore, instead add shell commands to .etckeeper
    to handle permissions. Patch by Scott Bronson. The main advantages
    of this approach are:
    - .etckeeper uses less disk space than .metadata.
    - Git diff includes changes to the commands in the file, which is more
      transparent than a change to the binary .metadata file, and does not
      produce conflicts during merging.
    - Revision control directories such as .hg are filtered out.
      Closes: #471371
    Note that repositories still including .metadata files will be
    automatically transitioned, and the file removed. Also, etckeeper init
    on a historical version of a repository that still contains .metadata
    will use it, if metastore is installed.
  * Keep track of what packages change state during an installation,
    and include that in the commit message at the end. Closes: #459384

 -- Joey Hess <joeyh@debian.org>  Tue, 25 Mar 2008 20:53:23 -0400

etckeeper (0.12) unstable; urgency=low

  * Use git ls-files instead of git status. Depend on new enough git for this.
  * Add support for bzr, thanks to Mark A. Hershberger. Closes: #470515
    (Note that bzr does not support etckeeper's pre-commit hook.)

 -- Joey Hess <joeyh@debian.org>  Tue, 11 Mar 2008 15:06:29 -0400

=== debian/control ===
Source: etckeeper
Section: admin
Priority: optional
Build-Depends: debhelper (>= 5), dpkg-dev (>= 1.9.0)
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.7.3
Vcs-Git: git://git.kitenet.net/etckeeper
Homepage: http://kitenet.net/~joey/code/etckeeper/

Package: etckeeper
Architecture: all
Section: admin
Depends: git-core (>= 1:1.5.4) | mercurial | bzr (>= 1.0), ${misc:Depends}
Description: store /etc in git, mercurial, or bzr
 The etckeeper program is a tool to let /etc be stored in a git, mercurial,
 or bzr repository. It hooks into APT to automatically commit changes made to
 /etc during package upgrades. It tracks file metadata that
 version control systems do not normally support, but that is important for
 /etc, such as the permissions of /etc/shadow. It's quite modular and
 configurable, while also being simple to use if you understand the basics of
 working with version control.

## etckeeper 0.18

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,9 @@
 INSTALL_EXE=${INSTALL} -D
 INSTALL_DATA=${INSTALL} -m 0644 -D
 
+build:
+	-./etckeeper-bzr/__init__.py build
+
 install:
 	mkdir -p $(DESTDIR)$(etcdir)/etckeeper/ $(DESTDIR)$(vardir)/cache/etckeeper/
 	cp -a *.d $(DESTDIR)$(etcdir)/etckeeper/
@@ -27,3 +30,7 @@
 ifeq ($(LOWLEVEL_PACKAGE_MANAGER),pacman-g2)
 	$(INSTALL_DATA) pacman-g2.hook $(DESTDIR)$(etcdir)/pacman-g2/hooks/etckeeper
 endif
+	-./etckeeper-bzr/__init__.py install --root=$(DESTDIR)
+
+clean:
+	rm -rf build

=== debian/changelog ===
etckeeper (0.18) unstable; urgency=low

  * Allow AVOID_COMMIT_BEFORE_INSTALL to be set to zero to disable.
  * Don't allow LC_COLLATE to reorder the .etckeeper file. Closes: #489057

 -- Joey Hess <joeyh@debian.org>  Thu, 03 Jul 2008 00:47:40 -0400

etckeeper (0.17) unstable; urgency=low

  * Fix backwards test for AVOID_COMMIT_BEFORE_INSTALL. Closes: #486922

 -- Joey Hess <joeyh@debian.org>  Wed, 18 Jun 2008 20:36:52 -0400

etckeeper (0.16) unstable; urgency=low

  * Add a AVOID_COMMIT_BEFORE_INSTALL option in the config file to make it
    easy to configure etckeeper to abort an installation if there are
    uncommitted changes in /etc. Closes: #478754

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Jun 2008 19:21:16 -0400

etckeeper (0.15) unstable; urgency=low

  [ Daniel Hahler ]
  * bzr: Set nickname for tree in init.d/40vcs-init.
  * Add script to add new files during "commit" for bzr (commit.d/30bzr-add).
    Closes: #477321
  * Fix handling of files with spaces, by setting IFS to "newline" in
    commit.d/40git-rm.

  [ Jelmer Vernooij ]
  * Support for the new bzr pre-commit hook. This requires bzr version 1.4.
    Closes: #473069
  * Remove pointless commit.d/40bzr-rm script. 

  [ Joey Hess ]
  * debhelper v7; rules file minimisation

 -- Joey Hess <joeyh@debian.org>  Sat, 03 May 2008 15:08:12 -0400

etckeeper (0.14.2) unstable; urgency=low

  * Handle nonzero exit status when building package list diff.

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Apr 2008 13:00:29 -0400

etckeeper (0.14.1) unstable; urgency=low

  * Fix typo in bzr-precommit script. Closes: #473069
    This is an interim fix -- full bzr precommit support has been implemented,
    but the bzr that supports it is not yet released.
  * Fix handling of files with spaces, by setting IFS to NL.

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Apr 2008 19:16:52 -0400

=== debian/control ===
Source: etckeeper
Section: admin
Priority: optional
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.4~), python-support (>= 0.5.3) 
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.8.0
Vcs-Git: git://git.kitenet.net/etckeeper
Homepage: http://kitenet.net/~joey/code/etckeeper/

Package: etckeeper
Architecture: all
Section: admin
Depends: git-core (>= 1:1.5.4) | mercurial | bzr (>= 1.4~), ${misc:Depends}
Conflicts: bzr (<< 1.4~)
Description: store /etc in git, mercurial, or bzr
 The etckeeper program is a tool to let /etc be stored in a git, mercurial,
 or bzr repository. It hooks into APT to automatically commit changes made to
 /etc during package upgrades. It tracks file metadata that
 version control systems do not normally support, but that is important for
 /etc, such as the permissions of /etc/shadow. It's quite modular and
 configurable, while also being simple to use if you understand the basics of
 working with version control.

## etckeeper 0.21

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 INSTALL_DATA=${INSTALL} -m 0644 -D
 
 build:
-	-./etckeeper-bzr/__init__.py build
+	-./etckeeper-bzr/__init__.py build || echo "** bzr support not built"
 
 install:
 	mkdir -p $(DESTDIR)$(etcdir)/etckeeper/ $(DESTDIR)$(vardir)/cache/etckeeper/
@@ -30,7 +30,8 @@
 ifeq ($(LOWLEVEL_PACKAGE_MANAGER),pacman-g2)
 	$(INSTALL_DATA) pacman-g2.hook $(DESTDIR)$(etcdir)/pacman-g2/hooks/etckeeper
 endif
-	-./etckeeper-bzr/__init__.py install --root=$(DESTDIR)
+	-./etckeeper-bzr/__init__.py install --root=$(DESTDIR) || echo "** bzr support not installed"
+	echo "** installation successful"
 
 clean:
 	rm -rf build

=== debian/changelog ===
etckeeper (0.21) unstable; urgency=low

  * Swedish debconf translation from Martin Ågren. Closes: #492063
  * Make etckeeper init -d set up commit hooks that call etckeeper -d.
    (Note that if you've relied on it setting up such commit hooks for a repo
    outside of /etc already, it created broken ones that need to be fixed to use
    -d.)
    Thanks, Wolfgang Karall.

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Sep 2008 16:41:16 -0400

etckeeper (0.20) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Use new Bazaar API.
  * Pass --quiet to bzr add to avoid new files from being printed twice.
  * Don't consider warnings from bzr plugins when checking if tree was
    modified.

 -- Joey Hess <joeyh@debian.org>  Mon, 07 Jul 2008 12:04:30 -0400

etckeeper (0.19) unstable; urgency=low

  * Patch from Miklos Vajna to fix one more git- command that crept in.

 -- Joey Hess <joeyh@debian.org>  Sat, 05 Jul 2008 08:34:22 -0400

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/etckeeper/news

## etckeeper 0.30ubuntu2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 DESTDIR?=
 prefix=/usr
-bindir=${prefix}/bin
+sbindir=${prefix}/sbin
 etcdir=/etc
 mandir=${prefix}/share/man
 vardir=/var
@@ -21,8 +21,8 @@
 	mkdir -p $(DESTDIR)$(etcdir)/etckeeper/ $(DESTDIR)$(vardir)/cache/etckeeper/
 	cp -a *.d $(DESTDIR)$(etcdir)/etckeeper/
 	$(INSTALL_DATA) $(CONFFILE) $(DESTDIR)$(etcdir)/etckeeper/etckeeper.conf
-	$(INSTALL_EXE) etckeeper $(DESTDIR)$(bindir)/etckeeper
-	$(INSTALL_DATA) etckeeper.1 $(DESTDIR)$(mandir)/man1/etckeeper.1
+	$(INSTALL_EXE) etckeeper $(DESTDIR)$(sbindir)/etckeeper
+	$(INSTALL_DATA) etckeeper.8 $(DESTDIR)$(mandir)/man8/etckeeper.8
 	$(INSTALL_DATA) bash_completion $(DESTDIR)$(etcdir)/bash_completion.d/etckeeper
 ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),apt)
 	$(INSTALL_DATA) apt.conf $(DESTDIR)$(etcdir)/apt/apt.conf.d/05etckeeper

=== debian/changelog ===
etckeeper (0.30ubuntu2) jaunty; urgency=low

  * Avoid relying on USER being set, since for the cronjob, it won't be.
    Fix backported from 0.31 (LP: #333243)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Mon, 23 Feb 2009 11:16:08 +0000

etckeeper (0.30ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - etckeeper.conf, debian/control: default to bzr
  * Introduces daily autocommits (LP: #321409)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Mon, 16 Feb 2009 09:49:20 +0000

etckeeper (0.30) unstable; urgency=low

  * Add vim .*.sw? files to default ignores.
  * Also add emacs #*# autosave files to default ignores.
  * And DEADJOE files, for good measure.
  * etckeeper update-ignore will automatically update the VCS ignore
    file, only touching the part inside a "# managed by etckeeper"
    comment block. (You may want to add such a comment block to your existing
    .gitignore, or delete the file and regenerate it.)
  * Run etckeeper update-ignore on upgrade.
  * Fix handling of -d in recursive calls to etckeeper 

 -- Joey Hess <joeyh@debian.org>  Sat, 14 Feb 2009 01:21:22 -0500

etckeeper (0.29) unstable; urgency=low

  * Add a daily cron job to autocommit changes to /etc. Closes: #515100
    The cron job is enabled by default but can be disabled
    via etckeeper.conf.
    (Thanks to Thierry Carrez)
  * Fix executable bits on two darcs support scripts.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Feb 2009 13:43:02 -0500

etckeeper (0.28ubuntu1) jaunty; urgency=low

  * Merge from debian unstable. Remaining changes:
    * etckeeper.conf: Default to bzr
  * debian/control: Default to bzr as well (LP: #321809)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Fri, 13 Feb 2009 13:58:42 +0000

etckeeper (0.28) unstable; urgency=low

  * Support darcs. Thanks to Gian Piero Carrubba. Closes: #510032

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Feb 2009 17:13:23 -0500

etckeeper (0.27) unstable; urgency=low

  * Use SUDO_USER as the committer if set. Closes: #498739
    (Thierry Carrez)
  * bzr: Avoid use of etckeeper pre-commit on Trees not on the
    filesystem. (Jelmer Vernooij)

 -- Joey Hess <joeyh@debian.org>  Sun, 01 Feb 2009 17:20:11 -0500

etckeeper (0.26) unstable; urgency=low

  * Add Japanese debconf translation. Closes: #512869
  * Prevent git from removing a directory when the last file in it
    has been removed, but the directory is left existing and empty,
    by touching a flag file before calling git rm. Closes: 513006

 -- Joey Hess <joeyh@debian.org>  Sun, 25 Jan 2009 13:55:56 -0500

etckeeper (0.25ubuntu1) jaunty; urgency=low

  * Default to bzr. (LP: #191680)

 -- Jelmer Vernooij <jelmer@ubuntu.com>  Sun, 25 Jan 2009 16:14:46 +0100

etckeeper (0.25) unstable; urgency=low

  * Fix filter_unknown calls. Closes: 509888

 -- Joey Hess <joeyh@debian.org>  Wed, 31 Dec 2008 13:01:31 -0500

etckeeper (0.24) unstable; urgency=low

  * Make .etckeeper test that files actually exist
    before acting on them. Closes: #509888

 -- Joey Hess <joeyh@debian.org>  Mon, 29 Dec 2008 15:37:25 -0500

etckeeper (0.23) unstable; urgency=low

  * Fix hook scripts to use new etckeeper path. Closes: #509742

 -- Joey Hess <joeyh@debian.org>  Thu, 25 Dec 2008 16:25:25 -0500

etckeeper (0.22) unstable; urgency=low

  * Move etckeeper to sbin, and man page to section 8, since only an admin
    can really use etckeeper. Closes: #509152
  * Mention README file from man page.
  * Build using python-central. For some reason bzr does not pick up on
    plugins built using python-support.

 -- Joey Hess <joeyh@debian.org>  Tue, 23 Dec 2008 18:51:14 -0500

=== debian/control ===
Source: etckeeper
Section: admin
Priority: optional
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.4~), python-central
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.8.0
XS-Python-Version: all
Vcs-Git: git://git.kitenet.net/etckeeper
Homepage: http://kitenet.net/~joey/code/etckeeper/

Package: etckeeper
Architecture: all
Section: admin
Depends: bzr (>= 1.4~) | git-core (>= 1:1.5.4) | mercurial | darcs, ${misc:Depends}
Recommends: cron
Conflicts: bzr (<< 1.4~)
XB-Python-Version: ${python:Versions}
Description: store /etc in git, mercurial, bzr or darcs
 The etckeeper program is a tool to let /etc be stored in a git, mercurial,
 bzr or darcs repository. It hooks into APT to automatically commit changes
 made to /etc during package upgrades. It tracks file metadata that version
 control systems do not normally support, but that is important for /etc, such
 as the permissions of /etc/shadow. It's quite modular and configurable, while
 also being simple to use if you understand the basics of working with version
 control.

## etckeeper 0.38ubuntu1

=== debian/changelog ===
etckeeper (0.38ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - etckeeper.conf, debian/control: default to bzr
    - debian/cron.daily: Avoid cron emails with daily autocommits if VCS=hg

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Thu, 23 Jul 2009 17:28:02 +0200

etckeeper (0.38) unstable; urgency=low

  * Use hostname if hostname -f fails. Closes: #533295
  * Automatically commit on initial install, so users can
    begin relying on etckeeper right away. Closes: #533290

 -- Joey Hess <joeyh@debian.org>  Wed, 08 Jul 2009 14:40:58 -0400

etckeeper (0.37ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - etckeeper.conf, debian/control: default to bzr
  * debian/postinst: Do the initial commit at installation time (LP: #297920)
  * commit.d/50vcs-commit: Avoid etckeeper commit failure if 'hostname -f'
    fails (LP: #377265)
  * debian/cron.daily: Avoid cron emails with daily autocommits if VCS=hg
    (LP: #364344)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Tue, 16 Jun 2009 11:02:03 +0200

etckeeper (0.37) unstable; urgency=low

  * Make postinst check for the configured VCS before trying to run
    etckeeper init. Closes: #530497
  * Update French debconf translation. Closes: #530795
  * Fix typo in cruft file. Closes: #530819
  * Update Portuguese debconf translation. Closes: #528109
  * Update German debconf translation. Closes: #532346

 -- Joey Hess <joeyh@debian.org>  Mon, 08 Jun 2009 13:24:13 -0400

etckeeper (0.36) unstable; urgency=low

  * Add cruft ignore file. Closes: #522513
  * Update Japanese debconf translation. Closes: #527921
  * Update Swedish debconf translation. Closes: #528575
  * Update Russian debconf translation. Closes: #528798

 -- Joey Hess <joeyh@debian.org>  Sat, 16 May 2009 18:22:49 -0400

etckeeper (0.35) unstable; urgency=low

  * Make etckeeper uninit -f disable the prompt.
  * Uninit on purge, guarded by a debconf prompt. Closes: #527218

 -- Joey Hess <joeyh@debian.org>  Wed, 06 May 2009 14:52:30 -0400

etckeeper (0.34ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - etckeeper.conf, debian/control: default to bzr

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Tue, 05 May 2009 16:01:16 +0200

etckeeper (0.34) unstable; urgency=low

  * Add support for mktemp if tempfile is not available.
  * Fix uninit prompt to accept 'y' as well as 'yes'. Closes: #517911
  * README: Typo. Closes: #517914

 -- Joey Hess <joeyh@debian.org>  Mon, 02 Mar 2009 17:01:09 -0500

etckeeper (0.33) unstable; urgency=low

  * Add support for yum. Thanks, Jimmy Tang.

 -- Joey Hess <joeyh@debian.org>  Wed, 25 Feb 2009 14:38:12 -0500

etckeeper (0.32) unstable; urgency=low

  * Add uninit subcommand, which cleans up all etckeeper and VCS droppings
    in /etc. This is useful if you want to switch to a different VCS and
    don't have any history to preserve. (Preserving history and converting
    is of course possible, but significantly harder.)
  * Run etckeeper init on initial install. Closes: #505772
    (The idea being that if someone doesn't want to use git, they can
    immediatly uninit to easily reverse this.)
  * Document how to change the VCS used by etckeeper, without preserving 
    any history. Preserving history left as an exersise for the reader.
    Closes: #515237
  * Implement list-installed for rpm.
  * Added a spec file contributed by Jimmy Tang.

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Feb 2009 23:01:55 -0500

etckeeper (0.31) unstable; urgency=low

  * Avoid relying on USER being set, won't be for cron job.
    Closes: #515602
  * Add .sw? to ignores. vim uses that if editing an
    unspecified file name. Closes: #515628

 -- Joey Hess <joeyh@debian.org>  Mon, 16 Feb 2009 15:40:42 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.4~), python-central
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.0
+Standards-Version: 3.8.1
 XS-Python-Version: all
 Vcs-Git: git://git.kitenet.net/etckeeper
 Homepage: http://kitenet.net/~joey/code/etckeeper/

## etckeeper 0.41ubuntu3

=== debian/changelog ===
etckeeper (0.41ubuntu3) lucid; urgency=low

  * etckeeper: Set HOME=~root if VCS=bzr, so that bzr doesn't create root-owned
    .bazaar and .bzr.log in home directories when run under sudo (LP: #376388)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Tue, 23 Feb 2010 12:05:55 +0100

etckeeper (0.41ubuntu2) lucid; urgency=low

  * commit.d/50vcs-commit: Do not use author so that bzr log --line shows the
    right name (and hostname), fixes LP: #496533.

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Mon, 14 Dec 2009 15:04:23 +0100

etckeeper (0.41ubuntu1) lucid; urgency=low

  * Merge from debian testing (LP: #489639), remaining changes:
    - etckeeper.conf, debian/control: default to bzr.
    - debian/cron.daily: Avoid cron emails with daily autocommits if VCS=hg.
  * etckeeper.spec: Change version to match Ubuntu version.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sat, 28 Nov 2009 12:36:40 -0500

etckeeper (0.41) unstable; urgency=low

  * Change etckeeper uninit to not remove .gitignore (etc) file
    if it lacks the "managed by etckeeper" comment. Closes: #545137
  * Fix hgrc setup code to not warn if the hgrc already contains
    a call to etckeeper. (Thanks, Jakov Sosic)
  * Updated Czech debconf translation from Miroslav Kure. Closes: #546411

 -- Joey Hess <joeyh@debian.org>  Sat, 26 Sep 2009 15:58:15 -0400

etckeeper (0.40) unstable; urgency=low

  * Add Spanish debconf translation. Closes: #539589
  * Updated Italian debconf translation. Closes: #540516
  * Avoid infinite loop when displaying message about failure
    to commit changes in /etc. Closes: #540596

 -- Joey Hess <joeyh@debian.org>  Sat, 08 Aug 2009 21:21:27 -0400

etckeeper (0.39) unstable; urgency=low

  * Document ETCKEEPER_CONF_DIR in man page.
  * Typo. Closes: #536799
  * bzr: Set author to root when committing via sudo. Committer
    will be the sudo user, as it is in git.

 -- Joey Hess <joeyh@debian.org>  Fri, 31 Jul 2009 13:47:09 -0400

## etckeeper 0.41ubuntu3.1

=== debian/changelog ===
etckeeper (0.41ubuntu3.1) lucid-proposed; urgency=low

  * post-install.d/50vcs-commit: Truncate commit message to avoid breaking
    when upgrading very large numbers of packages (LP: #574244)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Fri, 11 Jun 2010 09:26:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.4~), python-central
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.1
+Standards-Version: 3.8.3
 XS-Python-Version: all
 Vcs-Git: git://git.kitenet.net/etckeeper
 Homepage: http://kitenet.net/~joey/code/etckeeper/

## etckeeper 0.43~bpo50+1

=== Makefile ===
--- 
+++ 
@@ -14,9 +14,9 @@
 INSTALL_EXE=${INSTALL} -D
 INSTALL_DATA=${INSTALL} -m 0644 -D
 
-build:
+build: etckeeper.spec
 	-./etckeeper-bzr/__init__.py build || echo "** bzr support not built"
-
+	
 install:
 	mkdir -p $(DESTDIR)$(etcdir)/etckeeper/ $(DESTDIR)$(vardir)/cache/etckeeper/
 	cp -a *.d $(DESTDIR)$(etcdir)/etckeeper/
@@ -26,12 +26,23 @@
 	$(INSTALL_DATA) bash_completion $(DESTDIR)$(etcdir)/bash_completion.d/etckeeper
 ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),apt)
 	$(INSTALL_DATA) apt.conf $(DESTDIR)$(etcdir)/apt/apt.conf.d/05etckeeper
+	mkdir -p $(DESTDIR)$(etcdir)/cruft/filters-unex
+	$(INSTALL_DATA) cruft_filter $(DESTDIR)$(etcdir)/cruft/filters-unex/etckeeper
 endif
 ifeq ($(LOWLEVEL_PACKAGE_MANAGER),pacman-g2)
 	$(INSTALL_DATA) pacman-g2.hook $(DESTDIR)$(etcdir)/pacman-g2/hooks/etckeeper
 endif
+ifeq ($(HIGHLEVEL_PACKAGE_MANAGER),yum)
+	$(INSTALL_DATA) yum-etckeeper.py $(DESTDIR)$(prefix)/lib/yum-plugins/etckeeper.py
+	$(INSTALL_DATA) yum-etckeeper.conf $(DESTDIR)$(etcdir)/yum/pluginconf.d/etckeeper.conf
+endif
 	-./etckeeper-bzr/__init__.py install --root=$(DESTDIR) || echo "** bzr support not installed"
 	echo "** installation successful"
 
-clean:
+clean: etckeeper.spec
 	rm -rf build
+
+etckeeper.spec:
+	sed -i "s/Version:.*/Version: $$(perl -e '$$_=<>;print m/\((.*?)\)/'<debian/changelog)/" etckeeper.spec
+
+.PHONY: etckeeper.spec

=== debian/changelog ===
etckeeper (0.43~bpo50+1) lenny-backports; urgency=low

  * Backported with no changes.

 -- Joey Hess <joeyh@debian.org>  Thu, 11 Mar 2010 23:33:03 +0000

etckeeper (0.43) unstable; urgency=low

  * Fix cleanup of /var/cache/etckeeper/packagelist.pre-install after
    an upgrade where no conffiles are changed.
  * Prevent cron job autocommit from happening if pre-install file
    is present, to avoid committing state in the middle of an apt run.
    Closes: #567538
  * Add /etc/webmin/webmin/oscache to ignore list. Closes: #567255
  * Check owner of tty to determine who has su'd to root when committing,
    based on a patch by Jakov Sosic.
  * Add apparmor.d/cache/ to default ignores.
  * Record real committer username in the darcs log, so that the man page
    can say that for every VCS the username is recorded.

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Feb 2010 14:01:45 -0500

etckeeper (0.42) unstable; urgency=low

  * Deal with removal of the cache directory. Closes: #559418
  * Add ucf backups to ignore list. (See #462355)
  * Add webmin fsdump status files to ignore list. Closes: #567000
  * Add *.old to ignore list (See #462355)
  * Add *.elc to ignore list (See #491401)
  * Add ntp.conf.dhcp and X11/xdm/authdir/authfiles/* to ignore list.
    Closes: #491401
  * Fix handling of "#*#" ignores for git and hg.
  * Add runit and daemontools supervise files to ignore list.
    Closes: #529253

 -- Joey Hess <joeyh@debian.org>  Tue, 26 Jan 2010 16:20:38 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.4~), python-central
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.3
+Maintainer: Joey Hess <joeyh@debian.org>
+Standards-Version: 3.8.4
 XS-Python-Version: all
 Vcs-Git: git://git.kitenet.net/etckeeper
 Homepage: http://kitenet.net/~joey/code/etckeeper/
@@ -12,7 +11,7 @@
 Package: etckeeper
 Architecture: all
 Section: admin
-Depends: bzr (>= 1.4~) | git-core (>= 1:1.5.4) | mercurial | darcs, ${misc:Depends}
+Depends: git-core (>= 1:1.5.4) | mercurial | bzr (>= 1.4~) | darcs, ${misc:Depends}
 Recommends: cron
 Conflicts: bzr (<< 1.4~)
 XB-Python-Version: ${python:Versions}

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@
+	dh --with python-central $@
 
 # Not intended for use by anyone except the author.
 announcedir:

## etckeeper 0.48

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	
 install:
 	mkdir -p $(DESTDIR)$(etcdir)/etckeeper/ $(DESTDIR)$(vardir)/cache/etckeeper/
-	cp -a *.d $(DESTDIR)$(etcdir)/etckeeper/
+	cp -dR *.d $(DESTDIR)$(etcdir)/etckeeper/
 	$(INSTALL_DATA) $(CONFFILE) $(DESTDIR)$(etcdir)/etckeeper/etckeeper.conf
 	$(INSTALL_EXE) etckeeper $(DESTDIR)$(sbindir)/etckeeper
 	$(INSTALL_DATA) etckeeper.8 $(DESTDIR)$(mandir)/man8/etckeeper.8
@@ -43,6 +43,7 @@
 	rm -rf build
 
 etckeeper.spec:
-	sed -i "s/Version:.*/Version: $$(perl -e '$$_=<>;print m/\((.*?)\)/'<debian/changelog)/" etckeeper.spec
+	sed -i~ "s/Version:.*/Version: $$(perl -e '$$_=<>;print m/\((.*?)\)/'<debian/changelog)/" etckeeper.spec
+	rm -f etckeeper.spec~
 
 .PHONY: etckeeper.spec

=== debian/changelog ===
etckeeper (0.48) unstable; urgency=low

  * Fix backwards test for HGUSER. (Mike Rich)
    Closes: #589242
  * 'etckeeper vcs' can be used to run arbitrary VCS subcommands
    in the etckeeper environment. (Thanks, Stefan Tomanek)

 -- Joey Hess <joeyh@debian.org>  Fri, 16 Jul 2010 15:14:05 -0400

etckeeper (0.47) unstable; urgency=low

  * Set HOME=~root so that VCS like bzr do not drop root-owned files in
    user home directory when sudo etckeeper is run. Closes: #583581
  * hg: Set HGUSER (if not already set) to avoid warning message when
    committing. Closes: #533298
  * Both git and bzr default to showing the author of a commit,
    and not the committer. So, set the author to the user running sudo
    for both. The committer will then be root.

 -- Joey Hess <joeyh@debian.org>  Sun, 30 May 2010 16:50:09 -0400

etckeeper (0.46) unstable; urgency=low

  * Support etckeeper commit --stdin
  * Fix bug where after a large upgrade, etckeeper's automatic commit message
    was so long it exceeded command line length limits. Closes: #581678

 -- Joey Hess <joeyh@debian.org>  Sun, 16 May 2010 19:10:57 -0400

etckeeper (0.45) unstable; urgency=low

  * Revert darcs to using --logfile again, necessary for multiline commit
    messages. Closes: #577915
  * Fix logic error in darcs user code. Closes: #577918

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Apr 2010 11:50:22 -0400

etckeeper (0.44) unstable; urgency=low

  * Add example to README of how to automatically push changes to a backup
    repository.
  * Add fuse lock file to ignore list.
  * Changed darcs to specify --author instead of noting the committing
    user inside the commit log.
  * Add -a to DARCS_COMMIT_OPTIONS so commits are noninteractive by default,
    but users who want darcs prompting can disable it.
  * Use darcs record -m to specify commit message, instead of using a logfile.
  * Closes: #519228
  * Update depends for git-core to git transition. Closes: #577732
  * Avoid using hostname -f, since on Solaris that sets the hostname to -f.
    Yay, Unix portability! (Instead, use dnsdomainname if available, and
    otherwise, fall back to the unqualified hostname.)
  * Other portability fixes for non-GNU tools and OS X. Thanks, Neil Mayhew.

 -- Joey Hess <joeyh@debian.org>  Wed, 14 Apr 2010 15:43:14 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.4~), python-central
 Maintainer: Joey Hess <joeyh@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 XS-Python-Version: all
 Vcs-Git: git://git.kitenet.net/etckeeper
 Homepage: http://kitenet.net/~joey/code/etckeeper/
@@ -11,7 +11,7 @@
 Package: etckeeper
 Architecture: all
 Section: admin
-Depends: git-core (>= 1:1.5.4) | mercurial | bzr (>= 1.4~) | darcs, ${misc:Depends}
+Depends: git-core (>= 1:1.5.4) | git (>= 1:1.7) | mercurial | bzr (>= 1.4~) | darcs, ${misc:Depends}
 Recommends: cron
 Conflicts: bzr (<< 1.4~)
 XB-Python-Version: ${python:Versions}

## etckeeper 0.48ubuntu1

=== debian/changelog ===
etckeeper (0.48ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #607220). Remaining changes:
    - etckeeper.conf, debian/control: default to bzr.
    - etckeeper.spec: Change version to match Ubuntu version

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 19 Jul 2010 18:09:04 +0530

etckeeper (0.47ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #599129).  Remaining changes:
    - etckeeper.conf, debian/control: default to bzr.
  * etckeeper.spec: Change version to match Ubuntu version

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 28 Jun 2010 03:15:50 -0400

etckeeper (0.46ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - etckeeper.conf, debian/control: default to bzr.
    - debian/cron.daily: Avoid cron emails with daily autocommits if VCS=hg
    - commit.d/50vcs-commit: Do not use author so that bzr log --line shows
      the right name (and hostname)
    - etckeeper: Set HOME=~root if VCS=bzr, so that bzr doesn't create
      root-owned .bazaar and .bzr.log in home directories when run under sudo
  * etckeeper.spec: Change version to match Ubuntu version

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Fri, 28 May 2010 12:29:14 +0200

## etckeeper 0.48ubuntu1.1

=== debian/changelog ===
etckeeper (0.48ubuntu1.1) maverick-proposed; urgency=low

  * commit.d/50vcs-commit: Avoid failure in initial commit if etckeeper
    is not installed from a tty (like early during installation) (LP:
    #661024)

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 10 Jan 2011 16:51:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.4~), python-central
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.0
 XS-Python-Version: all
 Vcs-Git: git://git.kitenet.net/etckeeper
@@ -11,7 +12,7 @@
 Package: etckeeper
 Architecture: all
 Section: admin
-Depends: git-core (>= 1:1.5.4) | git (>= 1:1.7) | mercurial | bzr (>= 1.4~) | darcs, ${misc:Depends}
+Depends: bzr (>= 1.4~) | git-core (>= 1:1.5.4) | git (>= 1:1.7) | mercurial | darcs, ${misc:Depends}
 Recommends: cron
 Conflicts: bzr (<< 1.4~)
 XB-Python-Version: ${python:Versions}

## etckeeper 0.52ubuntu1

=== debian/changelog ===
etckeeper (0.52ubuntu1) natty; urgency=low

  * Merge from debian unstable. (LP: #714702) Remaining changes:
    - etckeeper.conf, debian/control: default to bzr.
    - etckeeper.spec: Change version to match Ubuntu version
    - commit.d/50vcs-commit: Avoid failure in initial commit if etckeeper
      is not installed from a tty (like early during installation)

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 07 Feb 2011 17:40:13 +0100

etckeeper (0.52) unstable; urgency=low

  * Rewrote 50git-rm to avoid using git ls-files, and thus avoid encoding
    problems with filenames.

 -- Joey Hess <joeyh@debian.org>  Sun, 06 Feb 2011 00:00:55 -0400

etckeeper (0.51ubuntu1) natty; urgency=low

  * Merge from debian unstable. (LP: #700987) Remaining changes:
    - etckeeper.conf, debian/control: default to bzr.
    - etckeeper.spec: Change version to match Ubuntu version
    - commit.d/50vcs-commit: Avoid failure in initial commit if etckeeper
      is not installed from a tty (like early during installation)

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 10 Jan 2011 16:47:54 +0100

etckeeper (0.51) unstable; urgency=low

  * Updated Vietnamese translation of debconf templates. Closes: #601921
  * Improve rpm version change detection.
  * Move etckeeper out of sbin, to avoid needing to work around broken
    root PATH settings in eg, crontab. Closes: #602438
  * Added Polish translation of debconf templates. Closes: #607563

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Dec 2010 14:39:57 -0400

etckeeper (0.50ubuntu2) natty; urgency=low

  * commit.d/50vcs-commit: Avoid failure in initial commit if etckeeper
    is not installed from a tty (like early during installation) (LP: #661024)

 -- Thierry Carrez (ttx) <thierry@openstack.org>  Wed, 15 Dec 2010 11:18:50 +0100

etckeeper (0.50ubuntu1) natty; urgency=low

  * Merge from Debian unstable (LP: #668842). Remaining changes:
    - etckeeper.conf, debian/control: default to bzr.
    - etckeeper.spec: Change version to match Ubuntu version

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 30 Oct 2010 21:29:17 +0200

etckeeper (0.50) unstable; urgency=low

  * Add Danish translation of debconf templates. Closes: #597768
  * Ignore /etc/.initctl. Closes: #598121
  * Do not warn about special files or hardlinks if they are ignored by
    git. Fixes #549354 for git, but not for other VCSs.
  * Set GIT_COMMITTER_EMAIL to root@$hostname to avoid git prompting
    the user to configure it in .gitconfig. Closes: #599749
  * Deal with strange systems that include the domain name in the hostname,
    by stripping it. Closes: #600026

 -- Joey Hess <joeyh@debian.org>  Wed, 20 Oct 2010 14:06:21 -0400

etckeeper (0.49ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - etckeeper.conf, debian/control: default to bzr.
    - etckeeper.spec: Change version to match Ubuntu version

 -- Thierry Carrez (ttx) <thierry.carrez@ubuntu.com>  Fri, 15 Oct 2010 14:43:30 +0200

etckeeper (0.49) unstable; urgency=low

  * Ensure that PATH contains the directory containing etckeeper, so
    that hook scripts that re-exec etckeeper are guaranteed to find it.
  * Ignore -m switch to etckeeper commit, in case someone tries to use
    it with that option common to several VCS. Closes: #592050
  * Remove HOME setting in etckeeper. sudo now defaults to setting HOME
    itself as of version 1.7.4p4, so it is not necessary for etckeeper
    to work around its behavior anymore. (sudo also allows disabling that
    for those who enjoy using guns around feet.) Closes: #583899
  * Fix file quoting problem in processing .etckeeper file in init.

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Sep 2010 13:10:43 -0400

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 Section: admin
 Depends: bzr (>= 1.4~) | git-core (>= 1:1.5.4) | git (>= 1:1.7) | mercurial | darcs, ${misc:Depends}
 Recommends: cron
+Suggests: sudo (>= 1.7.4p4)
 Conflicts: bzr (<< 1.4~)
 XB-Python-Version: ${python:Versions}
 Description: store /etc in git, mercurial, bzr or darcs

## etckeeper 0.56

=== debian/changelog ===
etckeeper (0.56) unstable; urgency=low

  * Converted to use dh_python2. Closes: #616800 
  * Handle files with % in their names.

 -- Joey Hess <joeyh@debian.org>  Tue, 12 Jul 2011 14:38:09 -0400

etckeeper (0.55) unstable; urgency=low

  * Fix error propigation to yum, which makes AVOID_COMMIT_BEFORE_INSTALL work.
    Closes: https://bugzilla.redhat.com/show_bug.cgi?id=709487
    Thanks, Thomas Moschny
  * Avoid being noisy in post-install after automatic yum updates.
    (Tuomo Soini)
  * Ignore FHS violating prelink.cache and openvpn-status.log.
  * Ignore *.LOCK files, as used by selinux policies.
  * Add AVOID_SPECIAL_FILE_WARNING to config file, and set it in cron
    job to avoid daily noise. (gulikoza)

 -- Joey Hess <joeyh@debian.org>  Sun, 19 Jun 2011 15:21:20 -0400

etckeeper (0.54) unstable; urgency=low

  * Ignore inssev's FHS violating /etc/init.d/.depend.* files.
    Closes: #619407 See #619409
  * Use hg pre-commit hook, rather than its precommit hook,
    as the latter is run after the files staged for commit are
    determined and so .etckeeper cannot be staged as part of the current
    commit. Closes: #621827

 -- Joey Hess <joeyh@debian.org>  Mon, 30 May 2011 18:11:40 -0400

etckeeper (0.53) unstable; urgency=low

  [ Joey Hess ]
  * Install bzr hook lazily, clean up some compatibility code. (Jelmer Vernooij)

  [ Josh Triplett ]
  * Only set environment variables for commit authorship (EMAIL,
    GIT_AUTHOR_NAME, GIT_AUTHOR_EMAIL, GIT_COMMITTER_EMAIL) if they don't
    already exist.

  [ Joey Hess ]
  * Add .pyc and .pyo files to ignore.
  * Add lvm/backup and lvm/cache to ignore. Closes: #462355
  * Avoid warning about special or hard linked files that are ignored
    by hg. Thanks Sjoerd Mullender for patch. 
    Closes: https://bugzilla.redhat.com/show_bug.cgi?id=688991

 -- Joey Hess <joeyh@debian.org>  Fri, 18 Mar 2011 15:37:54 -0400

=== debian/control ===
Source: etckeeper
Section: admin
Priority: optional
Build-Depends: debhelper (>= 7), dpkg-dev (>= 1.9.0), bzr (>= 1.5~), python
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.9.2
XS-Python-Version: all
Vcs-Git: git://git.kitenet.net/etckeeper
Homepage: http://kitenet.net/~joey/code/etckeeper/

Package: etckeeper
Architecture: all
Section: admin
Depends: git-core (>= 1:1.5.4) | git (>= 1:1.7) | mercurial | bzr (>= 1.5~) | darcs, ${misc:Depends}, ${python:Depends}
Recommends: cron
Suggests: sudo (>= 1.7.4p4)
Conflicts: bzr (<< 1.5~)
Description: store /etc in git, mercurial, bzr or darcs
 The etckeeper program is a tool to let /etc be stored in a git, mercurial,
 bzr or darcs repository. It hooks into APT to automatically commit changes
 made to /etc during package upgrades. It tracks file metadata that version
 control systems do not normally support, but that is important for /etc, such
 as the permissions of /etc/shadow. It's quite modular and configurable, while
 also being simple to use if you understand the basics of working with version
 control.
